package com.hfkj.dao;

import com.hfkj.entity.CyymallGoods;
import com.hfkj.entity.CyymallGoodsExample;
import com.hfkj.entity.CyymallGoodsWithBLOBs;
import java.util.List;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface CyymallGoodsMapper extends CyymallGoodsMapperExt {
    @SelectProvider(type=CyymallGoodsSqlProvider.class, method="countByExample")
    long countByExample(CyymallGoodsExample example);

    @DeleteProvider(type=CyymallGoodsSqlProvider.class, method="deleteByExample")
    int deleteByExample(CyymallGoodsExample example);

    @Insert({
        "insert into cyymall_goods (store_id, `name`, ",
        "price, original_price, ",
        "cat_id, `status`, ",
        "addtime, is_delete, ",
        "service, sort, virtual_sales, ",
        "video_url, unit, ",
        "individual_share, share_commission_first, ",
        "share_commission_second, share_commission_third, ",
        "weight, freight, ",
        "use_attr, share_type, ",
        "quick_purchase, hot_cakes, ",
        "cost_price, member_discount, ",
        "rebate, mch_id, goods_num, ",
        "mch_sort, confine_count, ",
        "is_level, `type`, ",
        "is_negotiable, attr_setting_type, ",
        "views, supplier_price, ",
        "supplier_goods_id, supplier_id, ",
        "goods_share_title, goods_share_logo, ",
        "goods_share_desc, is_examine, ",
        "dabao_price, brand_id, ",
        "key_word, buying_method, ",
        "buying_method_level, home_block_id, ",
        "new_individual_share, new_attr_setting_type, ",
        "share_commission_base, is_sjht, ",
        "sjht_proIdent, is_oil, ",
        "oil_couTypeCode, is_abholung, ",
        "is_transnational, goods_transfer_rate, ",
        "oil_discount, oil_type, ",
        "detail, attr, ",
        "cover_pic, full_cut, ",
        "integral, shop_id, ",
        "verify_card_id)",
        "values (#{storeId,jdbcType=INTEGER}, #{name,jdbcType=VARCHAR}, ",
        "#{price,jdbcType=DECIMAL}, #{originalPrice,jdbcType=DECIMAL}, ",
        "#{catId,jdbcType=INTEGER}, #{status,jdbcType=SMALLINT}, ",
        "#{addtime,jdbcType=INTEGER}, #{isDelete,jdbcType=SMALLINT}, ",
        "#{service,jdbcType=VARCHAR}, #{sort,jdbcType=INTEGER}, #{virtualSales,jdbcType=INTEGER}, ",
        "#{videoUrl,jdbcType=VARCHAR}, #{unit,jdbcType=VARCHAR}, ",
        "#{individualShare,jdbcType=SMALLINT}, #{shareCommissionFirst,jdbcType=DECIMAL}, ",
        "#{shareCommissionSecond,jdbcType=DECIMAL}, #{shareCommissionThird,jdbcType=DECIMAL}, ",
        "#{weight,jdbcType=DOUBLE}, #{freight,jdbcType=INTEGER}, ",
        "#{useAttr,jdbcType=SMALLINT}, #{shareType,jdbcType=INTEGER}, ",
        "#{quickPurchase,jdbcType=SMALLINT}, #{hotCakes,jdbcType=SMALLINT}, ",
        "#{costPrice,jdbcType=DECIMAL}, #{memberDiscount,jdbcType=SMALLINT}, ",
        "#{rebate,jdbcType=DECIMAL}, #{mchId,jdbcType=INTEGER}, #{goodsNum,jdbcType=INTEGER}, ",
        "#{mchSort,jdbcType=INTEGER}, #{confineCount,jdbcType=INTEGER}, ",
        "#{isLevel,jdbcType=SMALLINT}, #{type,jdbcType=SMALLINT}, ",
        "#{isNegotiable,jdbcType=SMALLINT}, #{attrSettingType,jdbcType=BIT}, ",
        "#{views,jdbcType=BIGINT}, #{supplierPrice,jdbcType=DECIMAL}, ",
        "#{supplierGoodsId,jdbcType=INTEGER}, #{supplierId,jdbcType=INTEGER}, ",
        "#{goodsShareTitle,jdbcType=VARCHAR}, #{goodsShareLogo,jdbcType=VARCHAR}, ",
        "#{goodsShareDesc,jdbcType=VARCHAR}, #{isExamine,jdbcType=INTEGER}, ",
        "#{dabaoPrice,jdbcType=DECIMAL}, #{brandId,jdbcType=INTEGER}, ",
        "#{keyWord,jdbcType=VARCHAR}, #{buyingMethod,jdbcType=INTEGER}, ",
        "#{buyingMethodLevel,jdbcType=INTEGER}, #{homeBlockId,jdbcType=INTEGER}, ",
        "#{newIndividualShare,jdbcType=INTEGER}, #{newAttrSettingType,jdbcType=INTEGER}, ",
        "#{shareCommissionBase,jdbcType=DECIMAL}, #{isSjht,jdbcType=SMALLINT}, ",
        "#{sjhtProident,jdbcType=VARCHAR}, #{isOil,jdbcType=SMALLINT}, ",
        "#{oilCoutypecode,jdbcType=VARCHAR}, #{isAbholung,jdbcType=SMALLINT}, ",
        "#{isTransnational,jdbcType=SMALLINT}, #{goodsTransferRate,jdbcType=INTEGER}, ",
        "#{oilDiscount,jdbcType=INTEGER}, #{oilType,jdbcType=INTEGER}, ",
        "#{detail,jdbcType=LONGVARCHAR}, #{attr,jdbcType=LONGVARCHAR}, ",
        "#{coverPic,jdbcType=LONGVARCHAR}, #{fullCut,jdbcType=LONGVARCHAR}, ",
        "#{integral,jdbcType=LONGVARCHAR}, #{shopId,jdbcType=LONGVARCHAR}, ",
        "#{verifyCardId,jdbcType=LONGVARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(CyymallGoodsWithBLOBs record);

    @InsertProvider(type=CyymallGoodsSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(CyymallGoodsWithBLOBs record);

    @SelectProvider(type=CyymallGoodsSqlProvider.class, method="selectByExampleWithBLOBs")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.INTEGER),
        @Result(column="store_id", property="storeId", jdbcType=JdbcType.INTEGER),
        @Result(column="name", property="name", jdbcType=JdbcType.VARCHAR),
        @Result(column="price", property="price", jdbcType=JdbcType.DECIMAL),
        @Result(column="original_price", property="originalPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="cat_id", property="catId", jdbcType=JdbcType.INTEGER),
        @Result(column="status", property="status", jdbcType=JdbcType.SMALLINT),
        @Result(column="addtime", property="addtime", jdbcType=JdbcType.INTEGER),
        @Result(column="is_delete", property="isDelete", jdbcType=JdbcType.SMALLINT),
        @Result(column="service", property="service", jdbcType=JdbcType.VARCHAR),
        @Result(column="sort", property="sort", jdbcType=JdbcType.INTEGER),
        @Result(column="virtual_sales", property="virtualSales", jdbcType=JdbcType.INTEGER),
        @Result(column="video_url", property="videoUrl", jdbcType=JdbcType.VARCHAR),
        @Result(column="unit", property="unit", jdbcType=JdbcType.VARCHAR),
        @Result(column="individual_share", property="individualShare", jdbcType=JdbcType.SMALLINT),
        @Result(column="share_commission_first", property="shareCommissionFirst", jdbcType=JdbcType.DECIMAL),
        @Result(column="share_commission_second", property="shareCommissionSecond", jdbcType=JdbcType.DECIMAL),
        @Result(column="share_commission_third", property="shareCommissionThird", jdbcType=JdbcType.DECIMAL),
        @Result(column="weight", property="weight", jdbcType=JdbcType.DOUBLE),
        @Result(column="freight", property="freight", jdbcType=JdbcType.INTEGER),
        @Result(column="use_attr", property="useAttr", jdbcType=JdbcType.SMALLINT),
        @Result(column="share_type", property="shareType", jdbcType=JdbcType.INTEGER),
        @Result(column="quick_purchase", property="quickPurchase", jdbcType=JdbcType.SMALLINT),
        @Result(column="hot_cakes", property="hotCakes", jdbcType=JdbcType.SMALLINT),
        @Result(column="cost_price", property="costPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="member_discount", property="memberDiscount", jdbcType=JdbcType.SMALLINT),
        @Result(column="rebate", property="rebate", jdbcType=JdbcType.DECIMAL),
        @Result(column="mch_id", property="mchId", jdbcType=JdbcType.INTEGER),
        @Result(column="goods_num", property="goodsNum", jdbcType=JdbcType.INTEGER),
        @Result(column="mch_sort", property="mchSort", jdbcType=JdbcType.INTEGER),
        @Result(column="confine_count", property="confineCount", jdbcType=JdbcType.INTEGER),
        @Result(column="is_level", property="isLevel", jdbcType=JdbcType.SMALLINT),
        @Result(column="type", property="type", jdbcType=JdbcType.SMALLINT),
        @Result(column="is_negotiable", property="isNegotiable", jdbcType=JdbcType.SMALLINT),
        @Result(column="attr_setting_type", property="attrSettingType", jdbcType=JdbcType.BIT),
        @Result(column="views", property="views", jdbcType=JdbcType.BIGINT),
        @Result(column="supplier_price", property="supplierPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="supplier_goods_id", property="supplierGoodsId", jdbcType=JdbcType.INTEGER),
        @Result(column="supplier_id", property="supplierId", jdbcType=JdbcType.INTEGER),
        @Result(column="goods_share_title", property="goodsShareTitle", jdbcType=JdbcType.VARCHAR),
        @Result(column="goods_share_logo", property="goodsShareLogo", jdbcType=JdbcType.VARCHAR),
        @Result(column="goods_share_desc", property="goodsShareDesc", jdbcType=JdbcType.VARCHAR),
        @Result(column="is_examine", property="isExamine", jdbcType=JdbcType.INTEGER),
        @Result(column="dabao_price", property="dabaoPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="brand_id", property="brandId", jdbcType=JdbcType.INTEGER),
        @Result(column="key_word", property="keyWord", jdbcType=JdbcType.VARCHAR),
        @Result(column="buying_method", property="buyingMethod", jdbcType=JdbcType.INTEGER),
        @Result(column="buying_method_level", property="buyingMethodLevel", jdbcType=JdbcType.INTEGER),
        @Result(column="home_block_id", property="homeBlockId", jdbcType=JdbcType.INTEGER),
        @Result(column="new_individual_share", property="newIndividualShare", jdbcType=JdbcType.INTEGER),
        @Result(column="new_attr_setting_type", property="newAttrSettingType", jdbcType=JdbcType.INTEGER),
        @Result(column="share_commission_base", property="shareCommissionBase", jdbcType=JdbcType.DECIMAL),
        @Result(column="is_sjht", property="isSjht", jdbcType=JdbcType.SMALLINT),
        @Result(column="sjht_proIdent", property="sjhtProident", jdbcType=JdbcType.VARCHAR),
        @Result(column="is_oil", property="isOil", jdbcType=JdbcType.SMALLINT),
        @Result(column="oil_couTypeCode", property="oilCoutypecode", jdbcType=JdbcType.VARCHAR),
        @Result(column="is_abholung", property="isAbholung", jdbcType=JdbcType.SMALLINT),
        @Result(column="is_transnational", property="isTransnational", jdbcType=JdbcType.SMALLINT),
        @Result(column="goods_transfer_rate", property="goodsTransferRate", jdbcType=JdbcType.INTEGER),
        @Result(column="oil_discount", property="oilDiscount", jdbcType=JdbcType.INTEGER),
        @Result(column="oil_type", property="oilType", jdbcType=JdbcType.INTEGER),
        @Result(column="detail", property="detail", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="attr", property="attr", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="cover_pic", property="coverPic", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="full_cut", property="fullCut", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="integral", property="integral", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="shop_id", property="shopId", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="verify_card_id", property="verifyCardId", jdbcType=JdbcType.LONGVARCHAR)
    })
    List<CyymallGoodsWithBLOBs> selectByExampleWithBLOBs(CyymallGoodsExample example);

    @SelectProvider(type=CyymallGoodsSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.INTEGER),
        @Result(column="store_id", property="storeId", jdbcType=JdbcType.INTEGER),
        @Result(column="name", property="name", jdbcType=JdbcType.VARCHAR),
        @Result(column="price", property="price", jdbcType=JdbcType.DECIMAL),
        @Result(column="original_price", property="originalPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="cat_id", property="catId", jdbcType=JdbcType.INTEGER),
        @Result(column="status", property="status", jdbcType=JdbcType.SMALLINT),
        @Result(column="addtime", property="addtime", jdbcType=JdbcType.INTEGER),
        @Result(column="is_delete", property="isDelete", jdbcType=JdbcType.SMALLINT),
        @Result(column="service", property="service", jdbcType=JdbcType.VARCHAR),
        @Result(column="sort", property="sort", jdbcType=JdbcType.INTEGER),
        @Result(column="virtual_sales", property="virtualSales", jdbcType=JdbcType.INTEGER),
        @Result(column="video_url", property="videoUrl", jdbcType=JdbcType.VARCHAR),
        @Result(column="unit", property="unit", jdbcType=JdbcType.VARCHAR),
        @Result(column="individual_share", property="individualShare", jdbcType=JdbcType.SMALLINT),
        @Result(column="share_commission_first", property="shareCommissionFirst", jdbcType=JdbcType.DECIMAL),
        @Result(column="share_commission_second", property="shareCommissionSecond", jdbcType=JdbcType.DECIMAL),
        @Result(column="share_commission_third", property="shareCommissionThird", jdbcType=JdbcType.DECIMAL),
        @Result(column="weight", property="weight", jdbcType=JdbcType.DOUBLE),
        @Result(column="freight", property="freight", jdbcType=JdbcType.INTEGER),
        @Result(column="use_attr", property="useAttr", jdbcType=JdbcType.SMALLINT),
        @Result(column="share_type", property="shareType", jdbcType=JdbcType.INTEGER),
        @Result(column="quick_purchase", property="quickPurchase", jdbcType=JdbcType.SMALLINT),
        @Result(column="hot_cakes", property="hotCakes", jdbcType=JdbcType.SMALLINT),
        @Result(column="cost_price", property="costPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="member_discount", property="memberDiscount", jdbcType=JdbcType.SMALLINT),
        @Result(column="rebate", property="rebate", jdbcType=JdbcType.DECIMAL),
        @Result(column="mch_id", property="mchId", jdbcType=JdbcType.INTEGER),
        @Result(column="goods_num", property="goodsNum", jdbcType=JdbcType.INTEGER),
        @Result(column="mch_sort", property="mchSort", jdbcType=JdbcType.INTEGER),
        @Result(column="confine_count", property="confineCount", jdbcType=JdbcType.INTEGER),
        @Result(column="is_level", property="isLevel", jdbcType=JdbcType.SMALLINT),
        @Result(column="type", property="type", jdbcType=JdbcType.SMALLINT),
        @Result(column="is_negotiable", property="isNegotiable", jdbcType=JdbcType.SMALLINT),
        @Result(column="attr_setting_type", property="attrSettingType", jdbcType=JdbcType.BIT),
        @Result(column="views", property="views", jdbcType=JdbcType.BIGINT),
        @Result(column="supplier_price", property="supplierPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="supplier_goods_id", property="supplierGoodsId", jdbcType=JdbcType.INTEGER),
        @Result(column="supplier_id", property="supplierId", jdbcType=JdbcType.INTEGER),
        @Result(column="goods_share_title", property="goodsShareTitle", jdbcType=JdbcType.VARCHAR),
        @Result(column="goods_share_logo", property="goodsShareLogo", jdbcType=JdbcType.VARCHAR),
        @Result(column="goods_share_desc", property="goodsShareDesc", jdbcType=JdbcType.VARCHAR),
        @Result(column="is_examine", property="isExamine", jdbcType=JdbcType.INTEGER),
        @Result(column="dabao_price", property="dabaoPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="brand_id", property="brandId", jdbcType=JdbcType.INTEGER),
        @Result(column="key_word", property="keyWord", jdbcType=JdbcType.VARCHAR),
        @Result(column="buying_method", property="buyingMethod", jdbcType=JdbcType.INTEGER),
        @Result(column="buying_method_level", property="buyingMethodLevel", jdbcType=JdbcType.INTEGER),
        @Result(column="home_block_id", property="homeBlockId", jdbcType=JdbcType.INTEGER),
        @Result(column="new_individual_share", property="newIndividualShare", jdbcType=JdbcType.INTEGER),
        @Result(column="new_attr_setting_type", property="newAttrSettingType", jdbcType=JdbcType.INTEGER),
        @Result(column="share_commission_base", property="shareCommissionBase", jdbcType=JdbcType.DECIMAL),
        @Result(column="is_sjht", property="isSjht", jdbcType=JdbcType.SMALLINT),
        @Result(column="sjht_proIdent", property="sjhtProident", jdbcType=JdbcType.VARCHAR),
        @Result(column="is_oil", property="isOil", jdbcType=JdbcType.SMALLINT),
        @Result(column="oil_couTypeCode", property="oilCoutypecode", jdbcType=JdbcType.VARCHAR),
        @Result(column="is_abholung", property="isAbholung", jdbcType=JdbcType.SMALLINT),
        @Result(column="is_transnational", property="isTransnational", jdbcType=JdbcType.SMALLINT),
        @Result(column="goods_transfer_rate", property="goodsTransferRate", jdbcType=JdbcType.INTEGER),
        @Result(column="oil_discount", property="oilDiscount", jdbcType=JdbcType.INTEGER),
        @Result(column="oil_type", property="oilType", jdbcType=JdbcType.INTEGER)
    })
    List<CyymallGoods> selectByExample(CyymallGoodsExample example);

    @UpdateProvider(type=CyymallGoodsSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") CyymallGoodsWithBLOBs record, @Param("example") CyymallGoodsExample example);

    @UpdateProvider(type=CyymallGoodsSqlProvider.class, method="updateByExampleWithBLOBs")
    int updateByExampleWithBLOBs(@Param("record") CyymallGoodsWithBLOBs record, @Param("example") CyymallGoodsExample example);

    @UpdateProvider(type=CyymallGoodsSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") CyymallGoods record, @Param("example") CyymallGoodsExample example);
}