package com.hfkj.dao;

import com.hfkj.entity.CyymallOrder;
import com.hfkj.entity.CyymallOrderExample;
import com.hfkj.entity.CyymallOrderWithBLOBs;
import java.util.List;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface CyymallOrderMapper extends CyymallOrderMapperExt {
    @SelectProvider(type=CyymallOrderSqlProvider.class, method="countByExample")
    long countByExample(CyymallOrderExample example);

    @DeleteProvider(type=CyymallOrderSqlProvider.class, method="deleteByExample")
    int deleteByExample(CyymallOrderExample example);

    @Insert({
        "insert into cyymall_order (store_id, user_id, ",
        "order_no, total_price, ",
        "pay_price, express_price, ",
        "`name`, mobile, address, ",
        "remark, is_pay, ",
        "pay_type, pay_time, ",
        "is_send, send_time, ",
        "express, express_no, ",
        "is_confirm, confirm_time, ",
        "is_comment, apply_delete, ",
        "addtime, is_delete, ",
        "is_price, parent_id, ",
        "first_price, second_price, ",
        "third_price, coupon_sub_price, ",
        "is_offline, clerk_id, ",
        "is_cancel, before_update_price, ",
        "shop_id, discount, ",
        "user_coupon_id, give_integral, ",
        "parent_id_2, parent_id_3, ",
        "is_sale, version, ",
        "express_price_2, is_recycle, ",
        "rebate, before_update_express, ",
        "mch_id, order_union_id, ",
        "is_transfer, `type`, ",
        "share_price, is_show, ",
        "currency, order_origin, ",
        "delivery_id, delivery_status, ",
        "fy_status, fyjine, fysingle, ",
        "mch_fyjine, mch_fysingle, ",
        "is_fan, is_dada, shop_peisong, ",
        "is_open_offline, supplier_id, ",
        "is_sup_transfer, dabao_price, ",
        "settlement_amount, is_settlement, ",
        "settlement_time, is_mch_shop, ",
        "is_divide_money, transaction_id, ",
        "pay_user_id, pay_type_true, ",
        "is_vgoods, reduction_price, ",
        "minus_price, order_from, ",
        "discount_price, discount_num, ",
        "give_goods_id, coupon_record_id, ",
        "id_card_no, refund_time, ",
        "content, address_data, ",
        "offline_qrcode, integral, ",
        "words, seller_comments)",
        "values (#{storeId,jdbcType=INTEGER}, #{userId,jdbcType=INTEGER}, ",
        "#{orderNo,jdbcType=VARCHAR}, #{totalPrice,jdbcType=DECIMAL}, ",
        "#{payPrice,jdbcType=DECIMAL}, #{expressPrice,jdbcType=DECIMAL}, ",
        "#{name,jdbcType=VARCHAR}, #{mobile,jdbcType=VARCHAR}, #{address,jdbcType=VARCHAR}, ",
        "#{remark,jdbcType=VARCHAR}, #{isPay,jdbcType=SMALLINT}, ",
        "#{payType,jdbcType=SMALLINT}, #{payTime,jdbcType=INTEGER}, ",
        "#{isSend,jdbcType=SMALLINT}, #{sendTime,jdbcType=INTEGER}, ",
        "#{express,jdbcType=VARCHAR}, #{expressNo,jdbcType=VARCHAR}, ",
        "#{isConfirm,jdbcType=SMALLINT}, #{confirmTime,jdbcType=INTEGER}, ",
        "#{isComment,jdbcType=SMALLINT}, #{applyDelete,jdbcType=SMALLINT}, ",
        "#{addtime,jdbcType=INTEGER}, #{isDelete,jdbcType=SMALLINT}, ",
        "#{isPrice,jdbcType=SMALLINT}, #{parentId,jdbcType=INTEGER}, ",
        "#{firstPrice,jdbcType=DECIMAL}, #{secondPrice,jdbcType=DECIMAL}, ",
        "#{thirdPrice,jdbcType=DECIMAL}, #{couponSubPrice,jdbcType=DECIMAL}, ",
        "#{isOffline,jdbcType=INTEGER}, #{clerkId,jdbcType=INTEGER}, ",
        "#{isCancel,jdbcType=SMALLINT}, #{beforeUpdatePrice,jdbcType=DECIMAL}, ",
        "#{shopId,jdbcType=INTEGER}, #{discount,jdbcType=DECIMAL}, ",
        "#{userCouponId,jdbcType=INTEGER}, #{giveIntegral,jdbcType=SMALLINT}, ",
        "#{parentId2,jdbcType=INTEGER}, #{parentId3,jdbcType=INTEGER}, ",
        "#{isSale,jdbcType=INTEGER}, #{version,jdbcType=VARCHAR}, ",
        "#{expressPrice2,jdbcType=DECIMAL}, #{isRecycle,jdbcType=SMALLINT}, ",
        "#{rebate,jdbcType=DECIMAL}, #{beforeUpdateExpress,jdbcType=DECIMAL}, ",
        "#{mchId,jdbcType=INTEGER}, #{orderUnionId,jdbcType=INTEGER}, ",
        "#{isTransfer,jdbcType=SMALLINT}, #{type,jdbcType=INTEGER}, ",
        "#{sharePrice,jdbcType=DECIMAL}, #{isShow,jdbcType=SMALLINT}, ",
        "#{currency,jdbcType=DECIMAL}, #{orderOrigin,jdbcType=BIT}, ",
        "#{deliveryId,jdbcType=INTEGER}, #{deliveryStatus,jdbcType=BIT}, ",
        "#{fyStatus,jdbcType=BIT}, #{fyjine,jdbcType=DECIMAL}, #{fysingle,jdbcType=DECIMAL}, ",
        "#{mchFyjine,jdbcType=DECIMAL}, #{mchFysingle,jdbcType=DECIMAL}, ",
        "#{isFan,jdbcType=BIT}, #{isDada,jdbcType=BIT}, #{shopPeisong,jdbcType=INTEGER}, ",
        "#{isOpenOffline,jdbcType=BIT}, #{supplierId,jdbcType=INTEGER}, ",
        "#{isSupTransfer,jdbcType=BIT}, #{dabaoPrice,jdbcType=DECIMAL}, ",
        "#{settlementAmount,jdbcType=DECIMAL}, #{isSettlement,jdbcType=SMALLINT}, ",
        "#{settlementTime,jdbcType=INTEGER}, #{isMchShop,jdbcType=BIT}, ",
        "#{isDivideMoney,jdbcType=BIT}, #{transactionId,jdbcType=VARCHAR}, ",
        "#{payUserId,jdbcType=INTEGER}, #{payTypeTrue,jdbcType=BIT}, ",
        "#{isVgoods,jdbcType=INTEGER}, #{reductionPrice,jdbcType=DECIMAL}, ",
        "#{minusPrice,jdbcType=DECIMAL}, #{orderFrom,jdbcType=INTEGER}, ",
        "#{discountPrice,jdbcType=DECIMAL}, #{discountNum,jdbcType=DECIMAL}, ",
        "#{giveGoodsId,jdbcType=INTEGER}, #{couponRecordId,jdbcType=VARCHAR}, ",
        "#{idCardNo,jdbcType=VARCHAR}, #{refundTime,jdbcType=INTEGER}, ",
        "#{content,jdbcType=LONGVARCHAR}, #{addressData,jdbcType=LONGVARCHAR}, ",
        "#{offlineQrcode,jdbcType=LONGVARCHAR}, #{integral,jdbcType=LONGVARCHAR}, ",
        "#{words,jdbcType=LONGVARCHAR}, #{sellerComments,jdbcType=LONGVARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(CyymallOrderWithBLOBs record);

    @InsertProvider(type=CyymallOrderSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(CyymallOrderWithBLOBs record);

    @SelectProvider(type=CyymallOrderSqlProvider.class, method="selectByExampleWithBLOBs")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.INTEGER),
        @Result(column="store_id", property="storeId", jdbcType=JdbcType.INTEGER),
        @Result(column="user_id", property="userId", jdbcType=JdbcType.INTEGER),
        @Result(column="order_no", property="orderNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="total_price", property="totalPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="pay_price", property="payPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="express_price", property="expressPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="name", property="name", jdbcType=JdbcType.VARCHAR),
        @Result(column="mobile", property="mobile", jdbcType=JdbcType.VARCHAR),
        @Result(column="address", property="address", jdbcType=JdbcType.VARCHAR),
        @Result(column="remark", property="remark", jdbcType=JdbcType.VARCHAR),
        @Result(column="is_pay", property="isPay", jdbcType=JdbcType.SMALLINT),
        @Result(column="pay_type", property="payType", jdbcType=JdbcType.SMALLINT),
        @Result(column="pay_time", property="payTime", jdbcType=JdbcType.INTEGER),
        @Result(column="is_send", property="isSend", jdbcType=JdbcType.SMALLINT),
        @Result(column="send_time", property="sendTime", jdbcType=JdbcType.INTEGER),
        @Result(column="express", property="express", jdbcType=JdbcType.VARCHAR),
        @Result(column="express_no", property="expressNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="is_confirm", property="isConfirm", jdbcType=JdbcType.SMALLINT),
        @Result(column="confirm_time", property="confirmTime", jdbcType=JdbcType.INTEGER),
        @Result(column="is_comment", property="isComment", jdbcType=JdbcType.SMALLINT),
        @Result(column="apply_delete", property="applyDelete", jdbcType=JdbcType.SMALLINT),
        @Result(column="addtime", property="addtime", jdbcType=JdbcType.INTEGER),
        @Result(column="is_delete", property="isDelete", jdbcType=JdbcType.SMALLINT),
        @Result(column="is_price", property="isPrice", jdbcType=JdbcType.SMALLINT),
        @Result(column="parent_id", property="parentId", jdbcType=JdbcType.INTEGER),
        @Result(column="first_price", property="firstPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="second_price", property="secondPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="third_price", property="thirdPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="coupon_sub_price", property="couponSubPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="is_offline", property="isOffline", jdbcType=JdbcType.INTEGER),
        @Result(column="clerk_id", property="clerkId", jdbcType=JdbcType.INTEGER),
        @Result(column="is_cancel", property="isCancel", jdbcType=JdbcType.SMALLINT),
        @Result(column="before_update_price", property="beforeUpdatePrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="shop_id", property="shopId", jdbcType=JdbcType.INTEGER),
        @Result(column="discount", property="discount", jdbcType=JdbcType.DECIMAL),
        @Result(column="user_coupon_id", property="userCouponId", jdbcType=JdbcType.INTEGER),
        @Result(column="give_integral", property="giveIntegral", jdbcType=JdbcType.SMALLINT),
        @Result(column="parent_id_2", property="parentId2", jdbcType=JdbcType.INTEGER),
        @Result(column="parent_id_3", property="parentId3", jdbcType=JdbcType.INTEGER),
        @Result(column="is_sale", property="isSale", jdbcType=JdbcType.INTEGER),
        @Result(column="version", property="version", jdbcType=JdbcType.VARCHAR),
        @Result(column="express_price_2", property="expressPrice2", jdbcType=JdbcType.DECIMAL),
        @Result(column="is_recycle", property="isRecycle", jdbcType=JdbcType.SMALLINT),
        @Result(column="rebate", property="rebate", jdbcType=JdbcType.DECIMAL),
        @Result(column="before_update_express", property="beforeUpdateExpress", jdbcType=JdbcType.DECIMAL),
        @Result(column="mch_id", property="mchId", jdbcType=JdbcType.INTEGER),
        @Result(column="order_union_id", property="orderUnionId", jdbcType=JdbcType.INTEGER),
        @Result(column="is_transfer", property="isTransfer", jdbcType=JdbcType.SMALLINT),
        @Result(column="type", property="type", jdbcType=JdbcType.INTEGER),
        @Result(column="share_price", property="sharePrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="is_show", property="isShow", jdbcType=JdbcType.SMALLINT),
        @Result(column="currency", property="currency", jdbcType=JdbcType.DECIMAL),
        @Result(column="order_origin", property="orderOrigin", jdbcType=JdbcType.BIT),
        @Result(column="delivery_id", property="deliveryId", jdbcType=JdbcType.INTEGER),
        @Result(column="delivery_status", property="deliveryStatus", jdbcType=JdbcType.BIT),
        @Result(column="fy_status", property="fyStatus", jdbcType=JdbcType.BIT),
        @Result(column="fyjine", property="fyjine", jdbcType=JdbcType.DECIMAL),
        @Result(column="fysingle", property="fysingle", jdbcType=JdbcType.DECIMAL),
        @Result(column="mch_fyjine", property="mchFyjine", jdbcType=JdbcType.DECIMAL),
        @Result(column="mch_fysingle", property="mchFysingle", jdbcType=JdbcType.DECIMAL),
        @Result(column="is_fan", property="isFan", jdbcType=JdbcType.BIT),
        @Result(column="is_dada", property="isDada", jdbcType=JdbcType.BIT),
        @Result(column="shop_peisong", property="shopPeisong", jdbcType=JdbcType.INTEGER),
        @Result(column="is_open_offline", property="isOpenOffline", jdbcType=JdbcType.BIT),
        @Result(column="supplier_id", property="supplierId", jdbcType=JdbcType.INTEGER),
        @Result(column="is_sup_transfer", property="isSupTransfer", jdbcType=JdbcType.BIT),
        @Result(column="dabao_price", property="dabaoPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="settlement_amount", property="settlementAmount", jdbcType=JdbcType.DECIMAL),
        @Result(column="is_settlement", property="isSettlement", jdbcType=JdbcType.SMALLINT),
        @Result(column="settlement_time", property="settlementTime", jdbcType=JdbcType.INTEGER),
        @Result(column="is_mch_shop", property="isMchShop", jdbcType=JdbcType.BIT),
        @Result(column="is_divide_money", property="isDivideMoney", jdbcType=JdbcType.BIT),
        @Result(column="transaction_id", property="transactionId", jdbcType=JdbcType.VARCHAR),
        @Result(column="pay_user_id", property="payUserId", jdbcType=JdbcType.INTEGER),
        @Result(column="pay_type_true", property="payTypeTrue", jdbcType=JdbcType.BIT),
        @Result(column="is_vgoods", property="isVgoods", jdbcType=JdbcType.INTEGER),
        @Result(column="reduction_price", property="reductionPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="minus_price", property="minusPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="order_from", property="orderFrom", jdbcType=JdbcType.INTEGER),
        @Result(column="discount_price", property="discountPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="discount_num", property="discountNum", jdbcType=JdbcType.DECIMAL),
        @Result(column="give_goods_id", property="giveGoodsId", jdbcType=JdbcType.INTEGER),
        @Result(column="coupon_record_id", property="couponRecordId", jdbcType=JdbcType.VARCHAR),
        @Result(column="id_card_no", property="idCardNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="refund_time", property="refundTime", jdbcType=JdbcType.INTEGER),
        @Result(column="content", property="content", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="address_data", property="addressData", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="offline_qrcode", property="offlineQrcode", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="integral", property="integral", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="words", property="words", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="seller_comments", property="sellerComments", jdbcType=JdbcType.LONGVARCHAR)
    })
    List<CyymallOrderWithBLOBs> selectByExampleWithBLOBs(CyymallOrderExample example);

    @SelectProvider(type=CyymallOrderSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.INTEGER),
        @Result(column="store_id", property="storeId", jdbcType=JdbcType.INTEGER),
        @Result(column="user_id", property="userId", jdbcType=JdbcType.INTEGER),
        @Result(column="order_no", property="orderNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="total_price", property="totalPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="pay_price", property="payPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="express_price", property="expressPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="name", property="name", jdbcType=JdbcType.VARCHAR),
        @Result(column="mobile", property="mobile", jdbcType=JdbcType.VARCHAR),
        @Result(column="address", property="address", jdbcType=JdbcType.VARCHAR),
        @Result(column="remark", property="remark", jdbcType=JdbcType.VARCHAR),
        @Result(column="is_pay", property="isPay", jdbcType=JdbcType.SMALLINT),
        @Result(column="pay_type", property="payType", jdbcType=JdbcType.SMALLINT),
        @Result(column="pay_time", property="payTime", jdbcType=JdbcType.INTEGER),
        @Result(column="is_send", property="isSend", jdbcType=JdbcType.SMALLINT),
        @Result(column="send_time", property="sendTime", jdbcType=JdbcType.INTEGER),
        @Result(column="express", property="express", jdbcType=JdbcType.VARCHAR),
        @Result(column="express_no", property="expressNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="is_confirm", property="isConfirm", jdbcType=JdbcType.SMALLINT),
        @Result(column="confirm_time", property="confirmTime", jdbcType=JdbcType.INTEGER),
        @Result(column="is_comment", property="isComment", jdbcType=JdbcType.SMALLINT),
        @Result(column="apply_delete", property="applyDelete", jdbcType=JdbcType.SMALLINT),
        @Result(column="addtime", property="addtime", jdbcType=JdbcType.INTEGER),
        @Result(column="is_delete", property="isDelete", jdbcType=JdbcType.SMALLINT),
        @Result(column="is_price", property="isPrice", jdbcType=JdbcType.SMALLINT),
        @Result(column="parent_id", property="parentId", jdbcType=JdbcType.INTEGER),
        @Result(column="first_price", property="firstPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="second_price", property="secondPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="third_price", property="thirdPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="coupon_sub_price", property="couponSubPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="is_offline", property="isOffline", jdbcType=JdbcType.INTEGER),
        @Result(column="clerk_id", property="clerkId", jdbcType=JdbcType.INTEGER),
        @Result(column="is_cancel", property="isCancel", jdbcType=JdbcType.SMALLINT),
        @Result(column="before_update_price", property="beforeUpdatePrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="shop_id", property="shopId", jdbcType=JdbcType.INTEGER),
        @Result(column="discount", property="discount", jdbcType=JdbcType.DECIMAL),
        @Result(column="user_coupon_id", property="userCouponId", jdbcType=JdbcType.INTEGER),
        @Result(column="give_integral", property="giveIntegral", jdbcType=JdbcType.SMALLINT),
        @Result(column="parent_id_2", property="parentId2", jdbcType=JdbcType.INTEGER),
        @Result(column="parent_id_3", property="parentId3", jdbcType=JdbcType.INTEGER),
        @Result(column="is_sale", property="isSale", jdbcType=JdbcType.INTEGER),
        @Result(column="version", property="version", jdbcType=JdbcType.VARCHAR),
        @Result(column="express_price_2", property="expressPrice2", jdbcType=JdbcType.DECIMAL),
        @Result(column="is_recycle", property="isRecycle", jdbcType=JdbcType.SMALLINT),
        @Result(column="rebate", property="rebate", jdbcType=JdbcType.DECIMAL),
        @Result(column="before_update_express", property="beforeUpdateExpress", jdbcType=JdbcType.DECIMAL),
        @Result(column="mch_id", property="mchId", jdbcType=JdbcType.INTEGER),
        @Result(column="order_union_id", property="orderUnionId", jdbcType=JdbcType.INTEGER),
        @Result(column="is_transfer", property="isTransfer", jdbcType=JdbcType.SMALLINT),
        @Result(column="type", property="type", jdbcType=JdbcType.INTEGER),
        @Result(column="share_price", property="sharePrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="is_show", property="isShow", jdbcType=JdbcType.SMALLINT),
        @Result(column="currency", property="currency", jdbcType=JdbcType.DECIMAL),
        @Result(column="order_origin", property="orderOrigin", jdbcType=JdbcType.BIT),
        @Result(column="delivery_id", property="deliveryId", jdbcType=JdbcType.INTEGER),
        @Result(column="delivery_status", property="deliveryStatus", jdbcType=JdbcType.BIT),
        @Result(column="fy_status", property="fyStatus", jdbcType=JdbcType.BIT),
        @Result(column="fyjine", property="fyjine", jdbcType=JdbcType.DECIMAL),
        @Result(column="fysingle", property="fysingle", jdbcType=JdbcType.DECIMAL),
        @Result(column="mch_fyjine", property="mchFyjine", jdbcType=JdbcType.DECIMAL),
        @Result(column="mch_fysingle", property="mchFysingle", jdbcType=JdbcType.DECIMAL),
        @Result(column="is_fan", property="isFan", jdbcType=JdbcType.BIT),
        @Result(column="is_dada", property="isDada", jdbcType=JdbcType.BIT),
        @Result(column="shop_peisong", property="shopPeisong", jdbcType=JdbcType.INTEGER),
        @Result(column="is_open_offline", property="isOpenOffline", jdbcType=JdbcType.BIT),
        @Result(column="supplier_id", property="supplierId", jdbcType=JdbcType.INTEGER),
        @Result(column="is_sup_transfer", property="isSupTransfer", jdbcType=JdbcType.BIT),
        @Result(column="dabao_price", property="dabaoPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="settlement_amount", property="settlementAmount", jdbcType=JdbcType.DECIMAL),
        @Result(column="is_settlement", property="isSettlement", jdbcType=JdbcType.SMALLINT),
        @Result(column="settlement_time", property="settlementTime", jdbcType=JdbcType.INTEGER),
        @Result(column="is_mch_shop", property="isMchShop", jdbcType=JdbcType.BIT),
        @Result(column="is_divide_money", property="isDivideMoney", jdbcType=JdbcType.BIT),
        @Result(column="transaction_id", property="transactionId", jdbcType=JdbcType.VARCHAR),
        @Result(column="pay_user_id", property="payUserId", jdbcType=JdbcType.INTEGER),
        @Result(column="pay_type_true", property="payTypeTrue", jdbcType=JdbcType.BIT),
        @Result(column="is_vgoods", property="isVgoods", jdbcType=JdbcType.INTEGER),
        @Result(column="reduction_price", property="reductionPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="minus_price", property="minusPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="order_from", property="orderFrom", jdbcType=JdbcType.INTEGER),
        @Result(column="discount_price", property="discountPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="discount_num", property="discountNum", jdbcType=JdbcType.DECIMAL),
        @Result(column="give_goods_id", property="giveGoodsId", jdbcType=JdbcType.INTEGER),
        @Result(column="coupon_record_id", property="couponRecordId", jdbcType=JdbcType.VARCHAR),
        @Result(column="id_card_no", property="idCardNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="refund_time", property="refundTime", jdbcType=JdbcType.INTEGER)
    })
    List<CyymallOrder> selectByExample(CyymallOrderExample example);

    @UpdateProvider(type=CyymallOrderSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") CyymallOrderWithBLOBs record, @Param("example") CyymallOrderExample example);

    @UpdateProvider(type=CyymallOrderSqlProvider.class, method="updateByExampleWithBLOBs")
    int updateByExampleWithBLOBs(@Param("record") CyymallOrderWithBLOBs record, @Param("example") CyymallOrderExample example);

    @UpdateProvider(type=CyymallOrderSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") CyymallOrder record, @Param("example") CyymallOrderExample example);
}